Account
Current user
Returns the account the token belongs to. Handy for checking a token.
GET
/
api
/
users
/
me
/
curl -X GET "https://api.aigenda.tech/api/users/me/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/users/me/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/users/me/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 777,
"username": "you@example.com",
"email": "you@example.com"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}
Response
integer
User ID.
string
Login.
string
Email.
curl -X GET "https://api.aigenda.tech/api/users/me/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/users/me/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/users/me/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 777,
"username": "you@example.com",
"email": "you@example.com"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}
Last modified on October 17, 2026
⌘I
curl -X GET "https://api.aigenda.tech/api/users/me/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/users/me/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/users/me/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 777,
"username": "you@example.com",
"email": "you@example.com"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}